## vsearch 1.1.3+dfsg

=== src/Makefile ===
# Copyright (C) 2014-2015 Torbjorn Rognes
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contact: Torbjorn Rognes <torognes@ifi.uio.no>, 
# Department of Informatics, University of Oslo, 
# PO Box 1080 Blindern, NO-0316 Oslo, Norway

# Profiling
#PROFILING=-g -fprofile-arcs -ftest-coverage
#PROFILING=-g -pg
PROFILING=-g

# Compiler warnings
WARN=-Wall -Wsign-compare
#WARN=-Weverything

CXX=g++
CXXFLAGS=-O3 -msse2 -mtune=core2 -Icityhash $(WARN) $(PROFILING)
LINKFLAGS=$(PROFILING)
LIBS=-lpthread

PROG=vsearch

OBJS=cityhash/city.o \
	align.o align_simd.o arch.o bitmap.o chimera.o cluster.o cpu_sse2.o \
	cpu_ssse3.o db.o dbindex.o derep.o maps.o mask.o minheap.o msa.o \
	query.o results.o search.o searchcore.o showalign.o shuffle.o \
	sortbylength.o sortbysize.o unique.o userfields.o util.o vsearch.o \
	allpairs.o linmemalign.o

DEPS=Makefile cityhash/city.h cityhash/config.h \
	align.h align_simd.h arch.h bitmap.h chimera.h cluster.h cpu.h db.h \
	dbindex.h derep.h maps.h mask.h minheap.h msa.h query.h results.h \
	search.h searchcore.h showalign.h shuffle.h sortbylength.h \
	sortbysize.h unique.h userfields.h util.h vsearch.h \
	allpairs.h linmemalign.h

.SUFFIXES:.o .cc

%.o : %.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

vsearch : $(OBJS)
	$(CXX) $(LINKFLAGS) -o $@ $(OBJS) $(LIBS)

all : $(PROG)

clean :
	rm -f *~ $(OBJS) *.{S,gcda,gcno,gcov} $(PROG) gmon.out cityhash/*.{S,gcda,gcno,gcov}

cpu_ssse3.o : cpu.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -mssse3 -DSSSE3 -c -o $@ $<

cpu_sse2.o : cpu.cc $(DEPS)
	$(CXX) $(CXXFLAGS) -c -o $@ $<

=== testbed/Makefile ===
CC = g++
CXXFLAGS = -Wall
INCLUDE=../src

all: test-bzquery

test-bzquery: ../src/bzquery.cc ../src/util.cc ../src/query.cc ../src/db.cc test-bzquery.cc
	$(CC) -I $(INCLUDE) -DHAVE_BZLIB_H $(CXXFLAGS) $+ -o $@ -lbz2

## vsearch 1.0.16+dfsg

=== debian/changelog ===
vsearch (1.0.16+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Drop manpage syntax patch since it is a moving target
  * Drop fix_build_issue_on_hurd.patch since applied upstream
  * Refresh kFreeBSD patch
  * x86_spezific_opts.patch: Fixed
    Closes: #778748

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2015 15:58:50 +0100

vsearch (1.0.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/README.source: Add proper information for data files
  * drop -msse2 flag
  * conditional use of -mtune flag
    Closes: #776812
  * Polishing manpage
  * Lintian override for gzipped data file
  * debian/upstream/metadata: add some related references (note: currently
    there is no publication about vsearch itself)
  * Fix build issue on Hurd (Thanks for the hint to Samuel Thibault
    <sthibault@debian.org>)
    Closes: #776815
  * Fix build issue on BSD by using the POSIX sysconf(3) (Thanks for the
    patch to Jeff Epler <jepler@unpythonic.net>)
    Closes: #776814

 -- Andreas Tille <tille@debian.org>  Mon, 02 Feb 2015 07:40:07 +0100

vsearch (1.0.7+dfsg-1) unstable; urgency=medium

  * Initial Debian release
    Closes: #775820

 -- Andreas Tille <tille@debian.org>  Tue, 20 Jan 2015 14:10:55 +0100

vsearch (1.0.7-0biolinux1) trusty; urgency=low

  * Initial package
  * Will be wanted once the next QIIME release appears.

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 09 Jan 2015 17:13:35 +0000

=== debian/control ===
Source: vsearch
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, python-markdown, time
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vsearch/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/vsearch/trunk/
Homepage: https://github.com/torognes/vsearch/

Package: vsearch
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for processing metagenomic sequences
 Open and free 64-bit multithreaded tool for processing metagenomic sequences,
 including searching, clustering, chimera detection, dereplication, sorting,
 masking and shuffling
 .
 The aim of this project is to create an alternative to the USEARCH tool
 developed by Robert C. Edgar (2010). The new tool should:
 .
  - have open source code with an appropriate open source license
  - be free of charge, gratis
  - have a 64-bit design that handles very large databases and much more
    than 4GB of memory
  - be as accurate or more accurate than usearch
  - be as fast or faster than usearch

Package: vsearch-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: example data for vsearch tool for processing metagenomic sequences
 Open and free 64-bit multithreaded tool for processing metagenomic sequences,
 including searching, clustering, chimera detection, dereplication, sorting,
 masking and shuffling
 .
 The aim of this project is to create an alternative to the USEARCH tool
 developed by Robert C. Edgar (2010). The new tool should:
 .
  - have open source code with an appropriate open source license
  - be free of charge, gratis
  - have a 64-bit design that handles very large databases and much more
    than 4GB of memory
  - be as accurate or more accurate than usearch
  - be as fast or faster than usearch
 .
 This package only contains data to run the vsearch test suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
testdir := $(CURDIR)/debian/$(pkg)-data/usr/share/doc/$(pkg)/tests

HOST:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(HOST),x86_64)
    USEOPT:=yes
else
    ifeq  ($(HOST),i386)
	USEOPT:=yes
    else
        USEOPT:=no
    endif
endif

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	# See notes in README.source
	dh_auto_build -- -f Makefile.BZLIB USEOPT="$(USEOPT)"
	dh_auto_clean
	dh_auto_build -- -f Makefile.ZLIB USEOPT="$(USEOPT)"
	dh_auto_clean
	dh_auto_build
	markdown_py -f README.html README.md
	markdown_py -f data/README.html data/README.md

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/vsearch-gz src/vsearch-bz

override_dh_auto_test:
	# restore data files from original tarball as well as those files needed for the full testsuite
	cd data && bunzip2 --keep BioMarKs.fsa.bz2 && gzip --keep --rsyncable BioMarKs.fsa
	cd data && bunzip2 --keep PR2-18S-rRNA-V4.fsa.bz2 && gzip --keep --rsyncable PR2-18S-rRNA-V4.fsa
	cd data && tar -xvzf simm.tar.gz
	cd test && \
	for t in *.sh ; do \
	    bash $$t v ; \
	done
	rm -f data/BioMarKs.fsa data/BioMarKs.fsa.gz \
	      data/PR2-18S-rRNA-V4.fsa data/PR2-18S-rRNA-V4.fsa.gz

override_dh_clean:
	dh_clean
	rm -rf data/simm
	find test -mindepth 1 -not -name '*.sh' -delete
	rm -f README.html data/README.html
	rm -f *.out

override_dh_install:
	dh_install
	# tweak path tp vsearch binary in test scripts
	mkdir -p $(testdir)/eval
	for tst in eval/*.sh ; do sed 's?\.\./src/vsearch?/usr/bin/vsearch?' $${tst} > $(testdir)/$${tst} ; done
	sed -i 's?#\(VSEARCH=/usr/bin/vsearch\)?\1?' $(testdir)/eval/eval.sh ; done
	mkdir -p $(testdir)/test
	for tst in test/*.sh ; do sed 's?\.\./src/vsearch?/usr/bin/vsearch?' $${tst} > $(testdir)/$${tst} ; done

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## vsearch 1.1.3+dfsg

=== debian/changelog ===
vsearch (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Xz compression for example data to save 25% disk space

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2015 09:11:30 +0200

vsearch (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Restrict architectures to amd64 and kfreebsd-amd64
    Closes: #776813

 -- Andreas Tille <tille@debian.org>  Sat, 21 Feb 2015 18:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Homepage: https://github.com/torognes/vsearch/
 
 Package: vsearch
-Architecture: any
+Architecture: amd64 kfreebsd-amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tool for processing metagenomic sequences

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 testdir := $(CURDIR)/debian/$(pkg)-data/usr/share/doc/$(pkg)/tests
+exampledir := $(CURDIR)/debian/$(pkg)-data/usr/share/doc/$(pkg)/examples
 
 HOST:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(HOST),x86_64)
@@ -62,5 +63,9 @@
 	mkdir -p $(testdir)/test
 	for tst in test/*.sh ; do sed 's?\.\./src/vsearch?/usr/bin/vsearch?' $${tst} > $(testdir)/$${tst} ; done
 
+override_dh_compress:
+	for f in $(exampledir)/*.fsa $(exampledir)/*.fasta ; do xz --best $$f ; done
+	dh_compress --exclude=.xz
+
 get-orig-source:
 	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/tree\/(.*)/\/archive\/$1.tar.gz/" \
  https://github.com/torognes/vsearch/releases .*/archive/v([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vsearch 2.0.3

=== debian/changelog ===
vsearch (2.0.3-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version (builds with GCC6, closes: #831131)

  [ Sascha Steinbiss ]
  * Only use bindnow hardening as a shared lib is built.
  * Disable autopkgtests until vsearch-data package is in the archive.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Aug 2016 18:28:59 +0000

vsearch (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2016 10:29:23 +0200

vsearch (1.11.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Drop unused lintian override
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 12:50:51 +0200

vsearch (1.10.1-1) unstable; urgency=medium

  * New upstream version
  * Moved maintenance from SVN to Git
  * Removed citation that belongs to different program

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:23:44 +0100

vsearch (1.9.10-1) unstable; urgency=medium

  * New upstream version
  * Secure Vcs-Browser URL
  * Fix some spelling issues

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jan 2016 14:02:24 +0100

vsearch (1.9.5-2) unstable; urgency=medium

  * Remove binary from /bin
    Closes: #810272

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jan 2016 22:17:55 +0100

vsearch (1.9.5-1) unstable; urgency=medium

  * New upstream version
  * Strip description from redundant information about open source
    since all software in Debian main is open source

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2015 15:53:31 +0100

vsearch (1.9.1-1) unstable; urgency=medium

  * New upstream version (no need to exclude files any more)
  * Test data are in separate package now
  * Drop unneeded lintian override

 -- Andreas Tille <tille@debian.org>  Sat, 14 Nov 2015 20:31:07 +0100

=== debian/control ===
Source: vsearch
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               zlib1g-dev,
               libbz2-dev,
               libssl-dev,
               python-markdown,
               ghostscript,
               time
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/vsearch.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/vsearch.git
Homepage: https://github.com/torognes/vsearch/

Package: vsearch
Architecture: amd64 kfreebsd-amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for processing metagenomic sequences
 Versatile 64-bit multithreaded tool for processing metagenomic sequences,
 including searching, clustering, chimera detection, dereplication, sorting,
 masking and shuffling
 .
 The aim of this project is to create an alternative to the USEARCH tool
 developed by Robert C. Edgar (2010). The new tool should:
 .
  - have a 64-bit design that handles very large databases and much more
    than 4GB of memory
  - be as accurate or more accurate than usearch
  - be as fast or faster than usearch

=== debian/watch ===
version=3

opts="downloadurlmangle=s/\/tree\/(.*)/\/archive\/$1.tar.gz/" \
  https://github.com/torognes/vsearch/releases .*/archive/v([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vsearch 2.3.4

=== debian/changelog ===
vsearch (2.3.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 23:38:39 +0100

vsearch (2.3.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #846482
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 12:04:27 +0100

vsearch (2.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 15 Oct 2016 15:59:44 +0200

vsearch (2.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 15:25:59 +0200

vsearch (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Stop overriding compiler flags in configure.ac.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 04 Sep 2016 15:15:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                zlib1g-dev,
                libbz2-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
docdir := $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)

HOST:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(HOST),x86_64)
    USEOPT:=yes
else
    ifeq  ($(HOST),i386)
	USEOPT:=yes
    else
        USEOPT:=no
    endif
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

VDATADIR=/usr/share/vsearch/data
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	if [ -d $(VDATADIR) ] ; then \
	    mkdir -p ../vsearch-data && \
	    for datadir in `find $(VDATADIR) -type d | sed -e "s#$(VDATADIR)/*##" -e "/^$$/d"` ; do mkdir -p ../vsearch-data/$${datadir} ; done && \
	    for datafile in `find $(VDATADIR) -type f` ; do \
	        ln -s $${datafile} `echo $${datafile} | sed -e "s#$(VDATADIR)/#../vsearch-data/#"` ; \
	    done && \
	    zcat ../vsearch-data/BioMarKs.fsa.gz > ../vsearch-data/BioMarKs.fsa && \
	    cd test && \
	    for t in *.sh ; do \
	        bash $$t v ; \
	    done && \
	    cd .. && \
	    rm -rf ../vsearch-data ; \
	fi
endif

override_dh_clean:
	dh_clean
	rm -rf data/simm
	find test -mindepth 1 -not -name '*.sh' -delete
	rm -f README.html data/README.html
	rm -f *.out

override_dh_install:
	dh_install
	# tweak path tp vsearch binary in test scripts
	mkdir -p $(docdir)/test
	for tst in test/*.sh ; do sed 's?\.\./bin/vsearch?/usr/bin/vsearch?' $${tst} > $(docdir)/$${tst} ; done

## vsearch 2.4.3

=== debian/changelog ===
vsearch (2.4.3-1) unstable; urgency=medium

  * New upstrem version
  * Drop libssl-dev Build-Depends
    Closes: #855340

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jun 2017 12:01:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-autoreconf,
                zlib1g-dev,
                libbz2-dev,
-               libssl-dev,
                python-markdown,
                ghostscript,
                time

## vsearch 2.7.1

=== debian/changelog ===
vsearch (2.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * do not parse d/changelog
  * hardening=+all
  * d/rules
     - fix clean target
     - use DEB_HOST_GNU_CPU directly

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 11:30:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                zlib1g-dev,
                libbz2-dev,
                python-markdown,
                ghostscript,
                time
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/vsearch.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

=== debian/rules ===
--- 
+++ 
@@ -3,24 +3,24 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-docdir := $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
+include /usr/share/dpkg/default.mk
 
-HOST:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-ifeq ($(HOST),x86_64)
+docdir := $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)
+
+ifeq ($(DEB_HOST_GNU_CPU),x86_64)
     USEOPT:=yes
 else
-    ifeq  ($(HOST),i386)
+    ifeq  ($(DEB_HOST_GNU_CPU),i386)
 	USEOPT:=yes
     else
         USEOPT:=no
     endif
 endif
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
@@ -48,13 +48,15 @@
 override_dh_clean:
 	dh_clean
 	rm -rf data/simm
-	find test -mindepth 1 -not -name '*.sh' -delete
+	if [ -d test ] ; then find test -mindepth 1 -not -name '*.sh' -delete ; fi
 	rm -f README.html data/README.html
 	rm -f *.out
 
 override_dh_install:
 	dh_install
-	# tweak path tp vsearch binary in test scripts
-	mkdir -p $(docdir)/test
-	for tst in test/*.sh ; do sed 's?\.\./bin/vsearch?/usr/bin/vsearch?' $${tst} > $(docdir)/$${tst} ; done
+	if [ -d test ] ; then \
+	    # tweak path tp vsearch binary in test scripts \
+	    mkdir -p $(docdir)/test ; \
+	    for tst in test/*.sh ; do sed 's?\.\./bin/vsearch?/usr/bin/vsearch?' $${tst} > $(docdir)/$${tst} ; done ; \
+	fi

## vsearch 2.8.0

=== debian/changelog ===
vsearch (2.8.0-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 22:27:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                python-markdown,
                ghostscript,
                time
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/vsearch.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/vsearch.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/vsearch
+Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
 
 Package: vsearch

## vsearch 2.10.4

=== debian/changelog ===
vsearch (2.10.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:54:35 +0100

vsearch (2.10.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 16:56:27 +0100

vsearch (2.9.0-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
    - Added the fastq_join command
  * d/u/metadata: Added reference to paper in PeerJ.

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Oct 2018 19:26:53 +0200

vsearch (2.8.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 21:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                zlib1g-dev,
                libbz2-dev,
                python-markdown,
                ghostscript,
                time
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

## vsearch 2.13.5

=== debian/changelog ===
vsearch (2.13.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jul 2019 15:47:11 +0200

## vsearch 2.13.6

=== debian/changelog ===
vsearch (2.13.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Aug 2019 14:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
                libbz2-dev,
                python-markdown,
                ghostscript,
                time
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

## vsearch 2.14.1

=== debian/changelog ===
vsearch (2.14.1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:24 +0100

vsearch (2.14.1-3) unstable; urgency=medium

  * Replace python-markdown by markdown
    Closes: #943267
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 10:36:25 +0100

vsearch (2.14.1-2) unstable; urgency=medium

  * Add Architecture ppc64el
    Closes: #946283

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 18:06:09 +0100

vsearch (2.14.1-1) unstable; urgency=medium

  * Team upload

  * Added link-time optimization.
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Fri, 29 Nov 2019 14:31:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
                libbz2-dev,
-               python-markdown,
+               markdown,
                ghostscript,
                time
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
 
 Package: vsearch
-Architecture: amd64 kfreebsd-amd64
+Architecture: amd64 kfreebsd-amd64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tool for processing metagenomic sequences

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,15 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND  = -flto
+export DEB_LDFLAGS_MAINT_APPEND = -flto
 
 %:
 	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
-	markdown_py -f README.html README.md
+	markdown README.md > README.html
 
 VDATADIR=/usr/share/vsearch/data
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -59,4 +61,3 @@
 	    mkdir -p $(docdir)/test ; \
 	    for tst in test/*.sh ; do sed 's?\.\./bin/vsearch?/usr/bin/vsearch?' $${tst} > $(docdir)/$${tst} ; done ; \
 	fi
-

=== debian/watch ===
version=4

opts="downloadurlmangle=s/\/tree\/(.*)/\/archive\/$1.tar.gz/" \
  https://github.com/torognes/vsearch/releases .*/archive/v([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vsearch 2.14.2

=== debian/changelog ===
vsearch (2.14.2-3) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 11:17:26 +0200

vsearch (2.14.2-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Add autopkgtests
  * Add new binary: vsearch-examples
  * Add vsearch binary
  * Install relevant examples
  * Remove external URL
  * Add manpage
  * Install self-generated manpage
  * Add myself to uploaders

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Do not install docs twice

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 12 Jun 2020 16:54:26 +0530

vsearch (2.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Tue, 19 May 2020 15:09:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: vsearch
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbz2-dev,
                markdown,
                ghostscript,
                time
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
+Rules-Requires-Root: no
 
 Package: vsearch
 Architecture: amd64 kfreebsd-amd64 ppc64el
@@ -31,3 +33,24 @@
     than 4GB of memory
   - be as accurate or more accurate than usearch
   - be as fast or faster than usearch
+
+Package: vsearch-examples
+Architecture: amd64 kfreebsd-amd64 ppc64el
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Enhances: vsearch
+Description: Test Data for vsearch tool for processing metagenomic sequences
+ Versatile 64-bit multithreaded tool for processing metagenomic sequences,
+ including searching, clustering, chimera detection, dereplication, sorting,
+ masking and shuffling
+ .
+ The aim of this project is to create an alternative to the USEARCH tool
+ developed by Robert C. Edgar (2010). The new tool should:
+ .
+  - have a 64-bit design that handles very large databases and much more
+    than 4GB of memory
+  - be as accurate or more accurate than usearch
+  - be as fast or faster than usearch
+ .
+ This package contains a test data set as well as sample scripts
+ running some test suite provided by Debian also as autopkgtest.

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,8 @@
 override_dh_auto_build:
 	dh_auto_build
 	markdown README.md > README.html
+	# Remove redundant travis-build URL
+	sed -i 1d README.html
 
 VDATADIR=/usr/share/vsearch/data
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

## vsearch 2.15.2

=== debian/changelog ===
vsearch (2.15.2-3) unstable; urgency=medium

  * Team upload.
  * Add Architecture arm64; allows reverse dependencies to migrate on arm64.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 12 Feb 2021 22:45:40 +0100

vsearch (2.15.2-2) unstable; urgency=medium

  * Do not compile with -std=c++11 on ppc64el

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 19:44:48 +0530

vsearch (2.15.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * d/rules: Append -std=c++11 to CXX flags

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 30 Jan 2021 16:26:22 +0530

vsearch (2.15.1-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 00:46:32 +0530

vsearch (2.15.0-1) unstable; urgency=medium

  * New upstream version 2.15.0
  * Remove reference data, compare checksum

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 20 Sep 2020 20:37:25 +0530

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                markdown,
                ghostscript,
                time
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
 Rules-Requires-Root: no
 
 Package: vsearch
-Architecture: amd64 kfreebsd-amd64 ppc64el
+Architecture: amd64 arm64 kfreebsd-amd64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tool for processing metagenomic sequences
@@ -35,7 +35,7 @@
   - be as fast or faster than usearch
 
 Package: vsearch-examples
-Architecture: amd64 kfreebsd-amd64 ppc64el
+Architecture: amd64 arm64 kfreebsd-amd64 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: vsearch

## vsearch 2.18.0

=== debian/changelog ===
vsearch (2.18.0-1) unstable; urgency=medium

  * New upstream version 2.18.0

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 Aug 2021 19:55:48 +0530

vsearch (2.17.1-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added guix, fixed indent

  [ Nilesh Patra ]
  * Fix watch URL
  * New upstream version 2.17.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:12:22 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=4

opts="downloadurlmangle=s/\/tree\/(.*)/\/archive\/$1.tar.gz/" \
  https://github.com/torognes/vsearch/releases .*/archive/.*/v([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vsearch 2.21.1

=== debian/changelog ===
vsearch (2.21.1-1) unstable; urgency=medium

  * New upstream version 2.21.1

 -- Nilesh Patra <nilesh@debian.org>  Sat, 22 Jan 2022 16:41:02 +0530

vsearch (2.21.0-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 15:44:41 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
                libbz2-dev,
                markdown,
                ghostscript,
-               time
-Standards-Version: 4.5.1
+               time,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,14 @@
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CXXFLAGS_MAINT_APPEND  = -flto
 export DEB_LDFLAGS_MAINT_APPEND = -flto
+DEB_CXXFLAGS_MAINT_APPEND  = -flto
+
+ifneq ($(DEB_HOST_ARCH),ppc64el)
+	DEB_CXXFLAGS_MAINT_APPEND += -std=c++11
+endif
+
+export DEB_CXXFLAGS_MAINT_APPEND
 
 %:
 	dh $@

## vsearch 2.22.1

=== debian/changelog ===
vsearch (2.22.1-1) unstable; urgency=medium

  * Revert "Add missing build dependency on dh addon."
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 20:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
                libbz2-dev,
                markdown,
                ghostscript,
-               time,
-               debhelper
-Standards-Version: 4.6.0
+               time
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

## vsearch 2.23.0

=== debian/changelog ===
vsearch (2.23.0-1) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 13 Jul 2023 13:25:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                markdown,
                ghostscript,
                time
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

## vsearch 2.27.0

=== debian/changelog ===
vsearch (2.27.0-1) unstable; urgency=medium

  * New upstream version 2.27.0
  * d/copyright: bump upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Wed, 14 Feb 2024 20:20:05 +0100

vsearch (2.26.1-1) unstable; urgency=medium

  * New upstream version 2.26.1
  * typo.patch: remove: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Mon, 27 Nov 2023 21:46:01 +0100

vsearch (2.25.0-1) unstable; urgency=medium

  * New upstream version 2.25.0
  * d/salsa-ci.yml: re-add to exclude i386 build.
  * typo.patch: fix typo caught by lintian.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 15 Nov 2023 15:52:24 +0100

vsearch (2.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/salsa-ci.yml: delete: CI adjusted within Salsa.
    The Salsa Team now provides recipes/debian.yml@salsa-ci-team/pipeline
    to use straight in the Salsa configuration, instead of using a debian/
    packaging file.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Nov 2023 11:17:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## vsearch 2.28.1

=== debian/changelog ===
vsearch (2.28.1-3) unstable; urgency=medium

  * Team upload.
  * d/{control,rules}: this is a GPL package, so document the libsimde-
    dev vesion used to compile.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jul 2024 14:37:54 +0200

vsearch (2.28.1-3~0exp0) experimental; urgency=medium

  * Team upload.
  * d/control: build for any 64-bit little-endian arch; use libsimde-dev
    for non-arm64, non-ppc64le, non-amd64 systems
  * dpatches/simde: Use SIMDe for non-{arm64,ppc64l4,amd64} systems.
  * d/{rules,clean}: simplify
 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Jun 2024 09:27:51 +0200

vsearch (2.28.1-2) unstable; urgency=medium

  * d/control: replace markdown by libtext-markdown-perl. (Closes: #1073110)

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Jun 2024 22:47:23 +0200

vsearch (2.28.1-1) unstable; urgency=medium

  * New upstream version 2.28.1
  * typo.patch: new: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 20:39:33 +0200

vsearch (2.27.1-1) unstable; urgency=medium

  * New upstream version 2.27.1
  * sysconf_memory_sizing.patch: delete.
    The patch only includes unistd.h, now duplicated in src/vsearch.h.
    Thanks to Torbjørn Rognes
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: apply multiarch hint.
    vsearch-examples can be safely moved as Architecture: all and
    Multi-Arch: foreign.
  * d/control: relax vsearch architecture to any-amd64.
    This may or may not enable support for hurd-amd64 on upcoming builds.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Apr 2024 18:24:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,25 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
+               architecture-is-little-endian,
                zlib1g-dev,
                libbz2-dev,
-               markdown,
+               libtext-markdown-perl,
                ghostscript,
+               libsimde-dev [!amd64 !arm64 !ppc64el],
                time
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
 Rules-Requires-Root: no
 
 Package: vsearch
-Architecture: amd64 arm64 kfreebsd-amd64 ppc64el
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Built-Using: ${simde:Built-Using}
 Description: tool for processing metagenomic sequences
  Versatile 64-bit multithreaded tool for processing metagenomic sequences,
  including searching, clustering, chimera detection, dereplication, sorting,
@@ -35,7 +39,8 @@
   - be as fast or faster than usearch
 
 Package: vsearch-examples
-Architecture: amd64 arm64 kfreebsd-amd64 ppc64el
+Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: vsearch

## vsearch 2.29.1

=== debian/changelog ===
vsearch (2.29.1-1) unstable; urgency=medium

  * New upstream version 2.29.1
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Nov 2024 16:40:05 +0100

vsearch (2.29.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Michael R. Crusoe ]
  * Standards-Version: 4.6.2 (routine-update)
  * New upstream release.
  * Remove all patches, they were upstreamed

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 26 Sep 2024 16:12:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: vsearch
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>,
+Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,7 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	markdown README.md > README.html
 	# Remove redundant travis-build URL
 	sed -i 1d README.html
@@ -55,17 +54,16 @@
 	fi
 endif
 
-override_dh_clean:
-	dh_clean
-	rm -rf data/simm
+execute_after_dh_clean:
 	if [ -d test ] ; then find test -mindepth 1 -not -name '*.sh' -delete ; fi
-	rm -f README.html data/README.html
 	rm -f *.out
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
+	# tweak path to vsearch binary in test scripts
 	if [ -d test ] ; then \
-	    # tweak path tp vsearch binary in test scripts \
 	    mkdir -p $(docdir)/test ; \
 	    for tst in test/*.sh ; do sed 's?\.\./bin/vsearch?/usr/bin/vsearch?' $${tst} > $(docdir)/$${tst} ; done ; \
 	fi
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

## vsearch 2.30.0

=== debian/changelog ===
vsearch (2.30.0-1) unstable; urgency=medium

  * New upstream version 2.30.0
  * d/control: declare compliance to standards version 4.7.2.
  * occurrences.patch: new: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Mar 2025 13:55:57 +0100

vsearch (2.29.4-1) unstable; urgency=medium

  * New upstream version 2.29.4
  * d/control: declare compliance to standards version 4.7.1.

 -- Étienne Mollier <emollier@debian.org>  Mon, 24 Feb 2025 19:58:08 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                ghostscript,
                libsimde-dev [!amd64 !arm64 !ppc64el],
                time
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

=== debian/watch ===
version=4

opts="downloadurlmangle=s/\/tree\/(.*)/\/archive\/$1.tar.gz/" \
  https://github.com/torognes/vsearch/tags .*/v?([0-9.rc-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## vsearch 2.30.1

=== debian/changelog ===
vsearch (2.30.1-1) unstable; urgency=medium

  * New upstream version 2.30.1
  * d/copyright: bump upstream copyright year.
  * occurrences.patch: delete: applied upstream.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Dec 2025 22:49:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/
-Rules-Requires-Root: no
 
 Package: vsearch
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: torognes
Project: vsearch

## vsearch 2.30.2

=== debian/changelog ===
vsearch (2.30.2-1) unstable; urgency=medium

  * New upstream version 2.30.2
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Jan 2026 14:52:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                architecture-is-64-bit,
                architecture-is-little-endian,
@@ -13,7 +12,7 @@
                ghostscript,
                libsimde-dev [!amd64 !arm64 !ppc64el],
                time
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/vsearch
 Vcs-Git: https://salsa.debian.org/med-team/vsearch.git
 Homepage: https://github.com/torognes/vsearch/

## vsearch 2.30.4

=== debian/changelog ===
vsearch (2.30.4-1) unstable; urgency=medium

  * New upstream version 2.30.4
  * d/copyright: update upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Mon, 16 Feb 2026 22:02:10 +0100
